Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I am using CentOS. In my project, that is working on a network, I need an rsh utility. I downloaded netkit-rsh-0.17 for that and until recently all worked fine.

But now I found that this utility does not load PAM Module, which is required in my project.

In the README file, It says,

WARNING: The PAM support in this version may be screwed up. If
you use PAM, please be sure to double- and triple-check the
behavior of rshd, rlogind, and rexecd to make sure they don't
inadvertently grant access when it should be denied. If in doubt,
get the SRPMs from Red Hat and use their sources instead.

Then how can I use this utility to solve my above problem.

I know that rsh should not be used, because of security issue. SSH should be used instead of rsh. But due to project issue, I have to use this only.

share|improve this question
    
Did you try to build SRPMs? –  sendmoreinfo Jun 16 '13 at 19:32
    
No can you tell me what is that ? –  devnull Jun 17 '13 at 5:59
    
Source code, patches, and build instructions, all packaged into a single file (SRPM) -- wiki.centos.org/HowTos/RebuildSRPM –  sendmoreinfo Jun 17 '13 at 8:32
add comment

Know someone who can answer? Share a link to this question via email, Google+, Twitter, or Facebook.

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.